package com.example.text;

import com.example.MainApplication;

import com.example.service.CollectService;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;



/**
 * @ClassName test
 * @Description 测试类
 * @Author linjj
 * @Date 2024/1/18 9:54
 * @Version 1.0
 */
@SpringBootTest(classes = MainApplication.class)
@RunWith(SpringRunner.class)
@Slf4j
public class test {

    @Value("${savePath}")
    private String savePath;

    private final static Logger logger = LoggerFactory.getLogger(test.class);

    @Autowired
    private CollectService collectService;

    @Test
    public void testDemo() {
        collectService.LianZhongConllect();
    }
}
