package com.example.vo;

import com.example.util.MyDateUtil;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName CardInfo
 * @Description 联众信息表
 * @Author linjj
 * @Date 2025/6/4 15:05
 * @Version 1.0
 */
@Data
public class CardInfoVo {


    private String id;
    //住院号
    private String patno;
    //患者姓名
    private String patname;
    //出院时间
    private Date outdate;
    //出院科室
    private String outdeptname;
    //性别
    private String patsex;
    //住院时间
    private Date indate;
    //住院科室
    private String indeptname;
    //同步状态0未开始 2完成 3失败 5缺失
    private Integer state;

    public String getOutdateStr(){
        return MyDateUtil.dateToString(this.outdate,"yyyy-MM-dd");
    }

    public String getOutdateStr2(){
        return MyDateUtil.dateToString(this.outdate,"yyyy-MM-dd HH:mm:ss");
    }


    public String getIndateStr(){
        return MyDateUtil.dateToString(this.indate,"yyyy-MM-dd HH:mm:ss");
    }
}
